Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.msmqadapter.jni
Class MSMQAPI

    java.lang.Object
      com.stc.connector.msmqadapter.jni.MSMQAPI

    public class MSMQAPI

extends java.lang.Object

Field Summary
`static int` | `QUEUE_NAME_IS_ADSPATH`
`static int` | `QUEUE_NAME_IS_FORMATNAME`
`static int` | `QUEUE_NAME_IS_PATHNAME`

Constructor Summary
`MSMQAPI()`

Method Summary
`long` | `CloseCursor(MSMQHandle hCursor)`
`long` | `CloseQueue(MSMQHandle hQueue)` javadoc
`long` | `CreateCursor(MSMQHandle hQueue, MSMQHandle hCursor)`
`long` | `CreateQueue(int cProp, int[] aPropID, MQPROPVARIANT[] aPropVar, int[] aStatus, java.lang.StringBuffer formatName)` javadoc
`long` | `DeleteQueue(java.lang.String formatName)` javadoc
`java.lang.String` | `getADsPath()`
`byte[]` | `getDataIn()` Gets data which gets set by the JNI code when data is received from the partner in the SNA conversation.
`byte[]` | `getDataOut()` Gets data which is passed to the JNI code for sending data to the partner in the SNA conversation.
`int` | `getPriority()`
`int` | `getQueueNamePattern()`
`java.lang.String` | `getQueuePathName()`
`java.lang.String` | `gettQueueFormatName()`
`java.lang.String` | `getTransactionType()`
`long` | `OpenQueue(int dwAccess, int dwShareMode, MSMQHandle hQueue)` javadoc
`long` | `ReceiveMessage(MSMQHandle hQueue, int timeout, int action, MSMQHandle hCursor)`
`long` | `ReceiveMessageFromAlias()`
`long` | `SendMessage(MSMQHandle hQueue)` javadoc
`long` | `SendMessageToAlias()`
`void` | `setADsPath(java.lang.String path)`
`void` | `setDataIn(byte[] data)` Sets data which gets set by the JNI code when data is received from the partner in the SNA conversation.
`void` | `setDataOut(byte[] data)` Sets data which is passed to the JNI code for sending data to the partner in the SNA conversation.
`void` | `setPriority(int priority)`
`void` | `setQueueFormatName(java.lang.String varStr)`
`void` | `setQueueNamePattern(int qnmpattern)`
`void` | `setQueuePathName(java.lang.String path)`
`void` | `setTransactionType(java.lang.String transactionType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUEUE_NAME_IS_PATHNAME

    public static final int QUEUE_NAME_IS_PATHNAME

See Also:
  Constant Field Values

### QUEUE_NAME_IS_FORMATNAME

    public static final int QUEUE_NAME_IS_FORMATNAME

See Also:
  Constant Field Values

### QUEUE_NAME_IS_ADSPATH

    public static final int QUEUE_NAME_IS_ADSPATH

See Also:
  Constant Field Values

Constructor Detail

### MSMQAPI

    public MSMQAPI()

Method Detail

### setDataIn

    public void setDataIn(byte[] data)

  Sets data which gets set by the JNI code when data is received from the partner in the SNA conversation.

  Parameters:
    `data` - The DataIn to be set

### getDataIn

    public byte[] getDataIn()

  Gets data which gets set by the JNI code when data is received from the partner in the SNA conversation.

  Returns:
    DataIn as a byte array

### setDataOut

    public void setDataOut(byte[] data)

  Sets data which is passed to the JNI code for sending data to the partner in the SNA conversation.

  Parameters:
    `data` - The DataOut to be set

### getDataOut

    public byte[] getDataOut()

  Gets data which is passed to the JNI code for sending data to the partner in the SNA conversation.

  Returns:
    DataOut as a byte array

### setQueuePathName

    public void setQueuePathName(java.lang.String path)

### getQueuePathName

    public java.lang.String getQueuePathName()

### setPriority

    public void setPriority(int priority)

### getPriority

    public int getPriority()

### setTransactionType

    public void setTransactionType(java.lang.String transactionType)

### getTransactionType

    public java.lang.String getTransactionType()

### setADsPath

    public void setADsPath(java.lang.String path)

### getADsPath

    public java.lang.String getADsPath()

### setQueueNamePattern

    public void setQueueNamePattern(int qnmpattern)

### getQueueNamePattern

    public int getQueueNamePattern()

### setQueueFormatName

    public void setQueueFormatName(java.lang.String varStr)

### gettQueueFormatName

    public java.lang.String gettQueueFormatName()

### CreateQueue

    public long CreateQueue(int cProp,
                            int[] aPropID,
                            MQPROPVARIANT[] aPropVar,
                            int[] aStatus,
                            java.lang.StringBuffer formatName)

  javadoc

### OpenQueue

    public long OpenQueue(int dwAccess,
                          int dwShareMode,
                          MSMQHandle hQueue)

  javadoc

### CloseQueue

    public long CloseQueue(MSMQHandle hQueue)

  javadoc

### DeleteQueue

    public long DeleteQueue(java.lang.String formatName)

  javadoc

### SendMessage

    public long SendMessage(MSMQHandle hQueue)

  javadoc

### ReceiveMessage

    public long ReceiveMessage(MSMQHandle hQueue,
                               int timeout,
                               int action,
                               MSMQHandle hCursor)

### SendMessageToAlias

    public long SendMessageToAlias()

### ReceiveMessageFromAlias

    public long ReceiveMessageFromAlias()

### CreateCursor

    public long CreateCursor(MSMQHandle hQueue,
                             MSMQHandle hCursor)

### CloseCursor

    public long CloseCursor(MSMQHandle hCursor)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD